<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Galeria de arte</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    
    <link rel='stylesheet' type='text/css' media='screen' href='vendor/bootstrap-5.1.3/dist-turquesa/css/bootstrap.css'>
    <link rel='stylesheet' type='text/css' media='screen' href='css/main.css'>

    <script src='vendor/bootstrap-5.1.3/dist/js/bootstrap.js'></script>
    <script src='js/main.js'></script>
</head>
<body>

    <script>
        var images=[
            "image-1.webp",
            "image-2.jpg",
            "image-3.webp",
            "image-4.jpg",
            "image-5.avif",
            "image-6.webp"
        ]


        function renderCarousell(){

          for (let index = 0; index < images.length; index++) {
            const element = images[index];

            var active;
            if(index != 0){
              active =''
            }else{
              active =' active '
            }

            var item = '<div class="carousel-item '+active+'">'+
            '<img src="images/'+element+'" class="bd-placeholder-img" width="100%" height="100%" />'+
            '<div class="container"><div class="carousel-caption text-start"><h1>Example headline.</h1><p>Some representative placeholder content for the first slide of the carousel.</p><p><a class="btn btn-lg btn-primary" href="#">Sign up today</a></p></div></div></div>';
          var button = '<button type="button" data-bs-target="#myCarousel" data-bs-slide-to="'+index+'" class="'+active+'" aria-current="true" aria-label="Slide 1"></button>';

          document.querySelector('#content-carousel').innerHTML += item;
          document.querySelector('#indicators').innerHTML += button;
          }

          
          

        }


        window.addEventListener('DOMContentLoaded', (event) => {
          renderCarousell();
        });
    </script>

    




<div id="myCarousel" class="carousel slide" data-bs-ride="carousel">
    <div class="carousel-indicators" id="indicators">
      
    
    </div>
    <div class="carousel-inner" id="content-carousel">
      
      
    </div>
    <button class="carousel-control-prev" type="button" data-bs-target="#myCarousel" data-bs-slide="prev">
      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Previous</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#myCarousel" data-bs-slide="next">
      <span class="carousel-control-next-icon" aria-hidden="true"></span>
      <span class="visually-hidden">Next</span>
    </button>
  </div>


    
</body>
</html>